<?php

namespace Entity\Model;

use Helpers\QueryBuilder\QueryBuilder;

class TSDon extends QueryBuilder
{
    protected \PDO $pdo;
    
    protected string $table = 'TS_DON with (nolock)';
    
    protected string $primaryKey = 'CODEDICO';
    protected string $libelle = 'LIB01DICO';
    public string $titre;
    
    public function __construct(\PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    public function getArchitecture(\Helpers\Trad\ITrad $trad)
    {
        return [];
    }
}
